#
# spec file for package python-pyrage
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}
Name:           python-pyrage
Version:        1.1.2
Release:        1.1
Summary:        Python bindings for rage (age in Rust)
License:        MIT
URL:            https://github.com/woodruffw/pyrage
Source0:        https://files.pythonhosted.org/packages/source/p/pyrage/pyrage-%{version}.tar.gz
Source1:        vendor.tar.xz
BuildRequires:  cargo-packaging
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module maturin >= 0.14}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  fdupes
%python_subpackages

%description
Python bindings for the Rust implementation of age.

%prep
%autosetup -p1 -n pyrage-%{version} -a1

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitearch}/pyrage
%{python_sitearch}/pyrage-%{version}.dist-info

%changelog
* Wed May  8 2024 Robert Munteanu <rombert@apache.org>
- Initial package with version 1.1.2
